#headerBg {
    background-color: var(--body-color);
}

#logo {
    height: 6rem;
}

#headersHeader {
    position: absolute;
    height: 6rem;
    top: 0.5rem;
    left: 1rem;
    width: 90%;
}

#headersHeader h2 {
    position: absolute;
    top: 0;
    left: 6.5rem;
    color: var(--subaccent-color);
}

@media screen and (max-width: 69rem) {
    header {
        max-width: 100% !important;
        min-width: 100% !important;
    }
    #headersHeader h2 {
        font-size: large !important;
        top: 0.75rem !important;
    }
    a {
        margin-left: 1rem !important; 
        min-width: 4rem !important;
        padding: 0.5rem !important;
    }
    a:hover {
        animation: none !important;
    }
}

header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    margin: 0;
    background-color: var(--accent-color);
    position: absolute;
    left: 0;
    top: 7rem;
    width: 100%;
    height: var(--top-bar-height);
}

a {
    padding: 0.5rem 1rem;
    display: flex;
    text-decoration: none;
    align-items: center;
    justify-content: center;
    color: var(--subaccent-color);
    background-color: var(--body-color);
    margin-left: 2rem;
    height: 2.5rem;
    min-width: 2.5rem;
    border-radius: 0.5rem;
    font-weight: bold;
}

a:hover {
    animation-name: transition-background;
    animation-duration: 0.2s;
    animation-fill-mode: forwards;
}

@keyframes transition-background {
    to {
        background-color: var(--body-color);
        padding: 0.5rem 2.5rem;
    }
}

a:last-child {
    margin-right: 2rem;
}